GNU bug report logs - #24531
process-send-string seems to truncate lines over 4096 characters

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: talwrii talwrii <talwrii@HIDDEN>; merged with #12440; dated Sun, 25 Sep 2016 00:12:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 12440 24531. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24531 <at> debbugs.gnu.org:


Received: (at 24531) by debbugs.gnu.org; 26 Sep 2016 10:23:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 26 06:23:17 2016
Received: from localhost ([127.0.0.1]:36046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1boT49-0001Kd-NO
	for submit <at> debbugs.gnu.org; Mon, 26 Sep 2016 06:23:17 -0400
Received: from mx2.suse.de ([195.135.220.15]:57504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1boT47-0001KV-Nh
 for 24531 <at> debbugs.gnu.org; Mon, 26 Sep 2016 06:23:16 -0400
X-Virus-Scanned: by amavisd-new at test-mx.suse.de
Received: from relay2.suse.de (charybdis-ext.suse.de [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 74341AAEF
 for <24531 <at> debbugs.gnu.org>; Mon, 26 Sep 2016 10:23:14 +0000 (UTC)
From: Andreas Schwab <schwab@HIDDEN>
To: 24531 <at> debbugs.gnu.org
Subject: Re: bug#24531: process-send-string seems to truncate lines over 4096
 characters
References: <CACVmLiT=-ASQh7C9SsBbaKLdP7sdCdqN735YACM-invrQTN-YA@HIDDEN>
 <87shsn9hx6.fsf@HIDDEN>
X-Yow: I am having a pleasant time!!
Date: Mon, 26 Sep 2016 12:23:14 +0200
In-Reply-To: <87shsn9hx6.fsf@HIDDEN> (Thien-Thi Nguyen's message of
 "Mon, 26 Sep 2016 10:36:21 +0200")
Message-ID: <mvmvaxj2c4t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 24531
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)

On Sep 26 2016, Thien-Thi Nguyen <ttn@HIDDEN> wrote:

> () talwrii talwrii <talwrii@HIDDEN>
> () Sat, 24 Sep 2016 18:38:18 -0500
>
>    (3005 4100 6006)
>
>    I wouild expect this 4100 to be 5005
>
> See variable ‘process-connection-type’.  When i add:
>
>  (setq process-connection-type nil)
>
> to the beginning of line-repo.el, i see the expected output.

That could be the effect of the TTY ICANON handling.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24531; Package emacs. Full text available.

Message received at 24531 <at> debbugs.gnu.org:


Received: (at 24531) by debbugs.gnu.org; 26 Sep 2016 09:56:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 26 05:56:49 2016
Received: from localhost ([127.0.0.1]:36033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1boSeX-0000gL-MK
	for submit <at> debbugs.gnu.org; Mon, 26 Sep 2016 05:56:49 -0400
Received: from mail.agora-net.com ([67.59.132.6]:35363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ttn@HIDDEN>) id 1boSeW-0000gD-1S
 for 24531 <at> debbugs.gnu.org; Mon, 26 Sep 2016 05:56:48 -0400
Received: from ttn by mail.agora-net.com with local (Exim 4.82)
 (envelope-from <ttn@HIDDEN>)
 id 1boSeV-00034q-8t; Mon, 26 Sep 2016 05:56:47 -0400
Received: from ttn by zigzag.favinet with local (Exim 4.80)
 (envelope-from <ttn@HIDDEN>)
 id 1boROo-0001V7-Aq; Mon, 26 Sep 2016 10:36:30 +0200
From: Thien-Thi Nguyen <ttn@HIDDEN>
To: talwrii talwrii <talwrii@HIDDEN>
Subject: Re: bug#24531: process-send-string seems to truncate lines over 4096
 characters
References: <CACVmLiT=-ASQh7C9SsBbaKLdP7sdCdqN735YACM-invrQTN-YA@HIDDEN>
Mail-Followup-To: 24531 <at> debbugs.gnu.org
Date: Mon, 26 Sep 2016 10:36:21 +0200
In-Reply-To: <CACVmLiT=-ASQh7C9SsBbaKLdP7sdCdqN735YACM-invrQTN-YA@HIDDEN>
 (talwrii talwrii's message of "Sat, 24 Sep 2016 18:38:18 -0500")
Message-ID: <87shsn9hx6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha1; protocol="application/pgp-signature"
X-SA-Exim-Connect-IP: <locally generated>
X-SA-Exim-Mail-From: ttn@HIDDEN
X-SA-Exim-Scanned: No (on mail.agora-net.com); SAEximRunCond expanded to false
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 24531
Cc: 24531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: 24531 <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


() talwrii talwrii <talwrii@HIDDEN>
() Sat, 24 Sep 2016 18:38:18 -0500

   (3005 4100 6006)

   I wouild expect this 4100 to be 5005

See variable =E2=80=98process-connection-type=E2=80=99.  When i add:

 (setq process-connection-type nil)

to the beginning of line-repo.el, i see the expected output.

=2D-
Thien-Thi Nguyen -----------------------------------------------
 (defun responsep (type via)
   (case type
     (technical (eq 'mailing-list via))
     ...))                              748E A0E8 1CB8 A748 9BFA
=2D-------------------------------------- 6CE4 6703 2224 4C80 7502


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlfo3gcACgkQZwMiJEyAdQIVvQCffMgCek2+ad0Bx6nD0vzetZL0
apMAmQG4T0VzyHsQHty1zyfgar0BuVHf
=wH8y
-----END PGP SIGNATURE-----
--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24531; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2016 00:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 24 20:11:33 2016
Received: from localhost ([127.0.0.1]:34905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bnx2a-0000uf-Ux
	for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 20:11:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWd-000069-Gx
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 19:38:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWW-0007LD-Td
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 19:38:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50174)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWW-0007JT-R6
 for submit <at> debbugs.gnu.org; Sat, 24 Sep 2016 19:38:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50613)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWU-0005Ap-7t
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 19:38:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWR-0007GI-No
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 19:38:21 -0400
Received: from mail-oi0-x22b.google.com ([2607:f8b0:4003:c06::22b]:33130)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <talwrii@HIDDEN>) id 1bnwWR-0007Fo-HG
 for bug-gnu-emacs@HIDDEN; Sat, 24 Sep 2016 19:38:19 -0400
Received: by mail-oi0-x22b.google.com with SMTP id r126so172065617oib.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 24 Sep 2016 16:38:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=sHnEABSX89YoByCmc+ashM1cSOdgJ734OqHulZEkyFE=;
 b=Bo/kNwnn74GLrq56Vuqy0cOsElygd+AzRsHqO2LRX+r5zlxRCuYIBXtUJk1uvfZoTM
 Eo+tV14zqm30lghS/rY9hXYvBeWBT77aGW1BN6k6h1W4iLBY9anjlsIlxmxaA8d8kCbk
 HzUxEclK0XVWiRlzZxXQ7244Zi+ElYfqK1j/GP9MpET/F6cZviDe+zsj02aZ9XJBY2WI
 cqmSz4kJtZvTHHQuaMyOIT347arDxvSEH1PdCwuHVyDfVSIXjF/w6p5eHiZisT0YFJd6
 h8+jZWNpvUA0oKjloWKWdSoV4lsScMPhEBXFCpMeaGl5DUK2PyZCpKAxCULo25ZKIb9f
 huGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=sHnEABSX89YoByCmc+ashM1cSOdgJ734OqHulZEkyFE=;
 b=HEZtcwCGlnn9zOz4JUSufRIiZJGtFtR0OCG6K64fgfmHMYUpJSks4ORZ5Q8Xiw9CZ2
 dZv8kLF9uS/UJDUcgQ1BkDtPtf9hAZ9av1rmymie1PBSVB08hwPCFnH+yIuOm6jcF0h4
 hpYts8SUUeEEDll/cx+l1eO/R4sPD9Z1Xw+hBhK/zG9wnHQg3WHJVYyA3aM8x2LazH5W
 2CuxmgORa8ro/wkHnbBCLetqmeS7+j9+CV0DWbz79DhXTsapxXkIlzQQftDUM3YE7ynm
 IjlDIBtOsebe7Zqr0BGaStZ8X/E7uTK+T61NJBrDV4soKKrn2qG6fpH4+lZnaIJmxiKu
 cw1g==
X-Gm-Message-State: AE9vXwMpumhDFZFJbLIbfqpODgbCHfHbl3CoM2q8FsWksnLMcFho0U2GGzvYePA9oyh4vbarvBhXJk6QUbAKwg==
X-Received: by 10.202.88.65 with SMTP id m62mr19302625oib.7.1474760298570;
 Sat, 24 Sep 2016 16:38:18 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.202.172.148 with HTTP; Sat, 24 Sep 2016 16:38:18 -0700 (PDT)
From: talwrii talwrii <talwrii@HIDDEN>
Date: Sat, 24 Sep 2016 18:38:18 -0500
Message-ID: <CACVmLiT=-ASQh7C9SsBbaKLdP7sdCdqN735YACM-invrQTN-YA@HIDDEN>
Subject: process-send-string seems to truncate lines over 4096 characters
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary=001a113d2c02b9c590053d49638c
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 24 Sep 2016 20:11:31 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113d2c02b9c590053d49638c
Content-Type: multipart/alternative; boundary=001a113d2c02b9c58b053d49638a

--001a113d2c02b9c58b053d49638a
Content-Type: text/plain; charset=UTF-8

=== Repro ===

i. Download attached el file
ii. Read it to ensure I am not hacking your computer
iii. In the same directory run

emacs -Q --eval '(progn (load-file "line-repro.el") (message (format "%S"
(repro))))' -nw --batch

As the last line of output I get

(3005 4100 6006)

I wouild expect this 4100 to be 5005

The third value indicates it is the line that gets truncated rather than
the string

=== Version details ===

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9) of
2016-04-08 on binet, modified by Debian Windowing system distributor `The
X.Org Foundation', version 11.0.11804000 System Description: Debian
GNU/Linux testing (stretch) Configured using: `configure --build
x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
--libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
--mandir=/usr/share/man --with-pop=yes
--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
--build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
--libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
--mandir=/usr/share/man --with-pop=yes
--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
--with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g
-O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall'
'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2' LDFLAGS=-Wl,-z,relro' Important
settings: value of $LANG: en_GB.UTF-8 locale-coding-system: utf-8-unix

--001a113d2c02b9c58b053d49638a
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div><div>=3D=3D=3D Repro =3D=3D=3D<br></di=
v><br></div>i. Download attached el file<br></div>ii. Read it to ensure I a=
m not hacking your computer<br></div>iii. In the same directory run<br><br>=
emacs -Q --eval &#39;(progn (load-file &quot;line-repro.el&quot;) (message =
(format &quot;%S&quot; (repro))))&#39; -nw --batch<br><br></div>As the last=
 line of output I get<br><br>(3005 4100 6006)
<br><div><div><br></div><div>I wouild expect this 4100 to be 5005<br><br></=
div><div>The third value indicates it is the line that gets truncated rathe=
r than the string<br><br></div><div>=3D=3D=3D Version details =3D=3D=3D<br>=
<br>In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-04-08 on binet, modified by Debian
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11804=
000
System Description:	Debian GNU/Linux testing (stretch)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-li=
sp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24=
.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-li=
sp:/usr/share/emacs/site-lisp
 --with-x=3Dyes --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars
 &#39;CFLAGS=3D-g -O2 -fstack-protector-strong -Wformat
 -Werror=3Dformat-security -Wall&#39; &#39;CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2&#39; LDFLAGS=3D-Wl,-z,relro&#39;

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

<br></div><div><br></div></div></div>

--001a113d2c02b9c58b053d49638a--

--001a113d2c02b9c590053d49638c
Content-Type: text/x-emacs-lisp; charset=US-ASCII; name="line-repro.el"
Content-Disposition: attachment; filename="line-repro.el"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ithu5lxc0
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--001a113d2c02b9c590053d49638c--




Acknowledgement sent to talwrii talwrii <talwrii@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24531; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Dec 2018 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.